Debian Bug report logs - #686858
debian-installer: kfreebsd-9 CD gtk install menuentries broken

version graph

Package: src:debian-installer; Maintainer for src:debian-installer is Debian Install System Team <debian-boot@lists.debian.org>;

Reported by: Steven Chamberlain <steven@pyro.eu.org>

Date: Thu, 6 Sep 2012 18:24:01 UTC

Severity: important

Tags: patch, sid, wheezy

Found in version debian-installer/20120327

Fixed in version debian-installer/20120930

Done: Cyril Brulebois <kibi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#686858; Package src:debian-installer. (Thu, 06 Sep 2012 18:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 06 Sep 2012 18:24:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: debian-installer: kfreebsd-9 CD gtk install menuentries broken
Date: Thu, 06 Sep 2012 19:21:31 +0100
Package: src:debian-installer
Version: 20120327
Severity: important
Tags: wheezy sid patch
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-Cc: debian-bsd@lists.debian.org

Hi,

The GRUB menu entries for a graphical install with the GNU/kFreeBSD 9.0
kernel do not actually select the graphical mode.

Due to a typo or copy+pasto this has been broken since kfreebsd-9
support was first introduced, but is more noticable now that kfreebsd-9
became the default kernel and other bugs have been fixed.

Please kindly apply this correction:

diff --git a/build/boot/kfreebsd/grub-kfreebsd-cdrom.cfg
b/build/boot/kfreebsd/grub-kfreebsd-cdrom.cfg
index 503c55c..7ce202a 100644
--- a/build/boot/kfreebsd/grub-kfreebsd-cdrom.cfg
+++ b/build/boot/kfreebsd/grub-kfreebsd-cdrom.cfg
@@ -63,7 +63,7 @@ if test -e /boot/kernel/kfreebsd-9.gz ; then

        if test -e /boot/gtk/mfsroot.gz ; then
                menuentry "" { true }
-               menuentry_set /boot/kernel/kfreebsd-9.gz
/boot/mfsroot.gz " (graphical mode with kernel of FreeBSD 9)"
+               menuentry_set /boot/kernel/kfreebsd-9.gz
/boot/gtk/mfsroot.gz " (graphical mode with kernel of FreeBSD 9)"
        fi
 fi


Thanks,
Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org



Reply sent to Cyril Brulebois <kibi@debian.org>:
You have taken responsibility. (Sun, 30 Sep 2012 13:36:06 GMT) Full text and rfc822 format available.

Notification sent to Steven Chamberlain <steven@pyro.eu.org>:
Bug acknowledged by developer. (Sun, 30 Sep 2012 13:36:06 GMT) Full text and rfc822 format available.

Message #10 received at 686858-close@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: 686858-close@bugs.debian.org
Subject: Bug#686858: fixed in debian-installer 20120930
Date: Sun, 30 Sep 2012 13:32:50 +0000
Source: debian-installer
Source-Version: 20120930

We believe that the bug you reported is fixed in the latest version of
debian-installer, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 686858@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Cyril Brulebois <kibi@debian.org> (supplier of updated debian-installer package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 30 Sep 2012 06:33:54 +0200
Source: debian-installer
Binary: debian-installer
Architecture: source amd64
Version: 20120930
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Cyril Brulebois <kibi@debian.org>
Description: 
 debian-installer - Debian installer
Closes: 684473 686858 686861
Changes: 
 debian-installer (20120930) unstable; urgency=low
 .
   [ Samuel Thibault ]
   * Drop outdated documentation about brltty.
   * Add console-setup-linux-fonts-udeb to speakup-enabled images
     (closes: #684473).
   * Document that new languages need to specify a console-setup font name to
     be loaded.
   * Pull netdde-udeb instead of nic-modules on hurd-i386, the former providing
     the latter does not seem enough.
 .
   [ Cyril Brulebois ]
   * Apply patch from Paul Tagliamonte, updating the Joy pictures to use
     the correct brand; the Debian logo is now DFSG free.
   * When SPLASH_PNG is set, search for a matching SPLASH_SVG; if it's
     found, call rsvg-convert to generate the PNG file. Clean those on
     reallyclean. Add librsvg2-bin build-dep for rsvg-convert, restricted
     to any-{amd64,i386} (splash is used on x86, kfreebsd, and hurd).
   * Remove build/boot/{x86,kfreebsd,hurd}/pics/joy-hurd.png accordingly.
   * Fix broken kfreebsd-9 CD gtk install menuentry (add gtk/), thanks to
     Steven Chamberlain (Closes: #686858).
   * Bump MFSROOT_LIMIT from 64m to 128m for kfreebsd-amd64, thanks to Steven
     Chamberlain (Closes: #686861).
   * Add myself to Uploaders.
 .
   [ Aurelien Jarno ]
   * Install wheezy by default instead of sid on armhf and s390x.
 .
   [ Steve McIntyre ]
   * Add EFI support:
     - Add code to create bootable EFI images.
     - Add definitions for amd64 and i386 (disabled for the latter).
     - Add grub-efi.cfg
     - Add build-deps: grub-efi-{amd64,i386}-bin, grub-common, xorriso.
Checksums-Sha1: 
 526fde10b76805143a3100917dc2efa7e35a1e92 2579 debian-installer_20120930.dsc
 ae21dd7f368bbd024994f54a4befdd1c126888f7 1336856 debian-installer_20120930.tar.gz
 8b3fc9216105fdffed8948f074625c12167673ab 821334 debian-installer_20120930_amd64.deb
 4b68ae7bee8ad8072029b7834caf843f1b298061 236166242 debian-installer-images_20120930_amd64.tar.gz
Checksums-Sha256: 
 d35f1ac8cf9286d89dca6a137f60de7eee0362f3dc88e40193a181eb4a43cb2b 2579 debian-installer_20120930.dsc
 43d99a661b55c9e4a0d90e7b8052835fbcb238c117925e871368b4d4a307cc63 1336856 debian-installer_20120930.tar.gz
 b81d8f5f869d704fafe773edaf6aeedba6041a94aa82a581fc0a4bc79a971977 821334 debian-installer_20120930_amd64.deb
 acc8f74dfc98ccca32ef7278c42aa512ae283c9039ecf6fcc761d33bf06cb9d4 236166242 debian-installer-images_20120930_amd64.tar.gz
Files: 
 65dca84a6f474e9006fac40ed423c8a6 2579 devel optional debian-installer_20120930.dsc
 eb72dea519568e3ecb88f9bf900ea8e7 1336856 devel optional debian-installer_20120930.tar.gz
 fbd43a5440a075996f8613e965d80c88 821334 devel optional debian-installer_20120930_amd64.deb
 2c9f7d99982d8f7fe610a087105ae965 236166242 raw-installer - debian-installer-images_20120930_amd64.tar.gz

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlBn0zcACgkQeGfVPHR5Nd1pRACbBET3BuUbau8+OZ1LgazbAia3
lVUAn3YJZ3+fOp0F2jrF+jEDUe0l0YHs
=nonn
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 01 Nov 2012 07:29:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 09:29:13 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.